Magister API

Search

Find a site's search competitors

POSThttps://api.magistermarketing.com/v1/competitors/discover

The sites competing with a domain in search, with how much they overlap and how far they reach.

Cost
~3 credits
Runs
At once
Key
Full key
Holds up to
8 credits

Parameters

NameTypeAbout
domainrequiredstring · bodyThe site whose search rivals to find, such as example.com.
at most 253 characters
limitinteger · body
1 to 50 · default 10

Request

curl -X POST https://api.magistermarketing.com/v1/competitors/discover \
  -H "Authorization: Bearer $MAGISTER_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"domain":"tally.so","limit":6}'

Response

200· 3.2 credits
{
  "data": {
    "domain": "tally.so",
    "competitors": [
      {
        "domain": "jotform.com",
        "overlap": 58,
        "standing": "ranks_higher",
        "search_reach": "100k+"
      },
      {
        "domain": "typeform.com",
        "overlap": 45,
        "standing": "about_even",
        "search_reach": "10k-100k"
      },
      {
        "domain": "forms.app",
        "overlap": 37,
        "standing": "ranks_lower",
        "search_reach": "10k-100k"
      }
    ],
    "site": {
      "search_reach": "1k-10k"
    },
    "note": null
  },
  "credits_charged": 3.2,
  "request_id": "1a18e09d-3822-41fd-9215-e7cf988cff42"
}

A real call from a test organization, 2026-11-11.